[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AnchorToCompanion

Anchor to Sibling at Side, with the same extent.

## Declaration

Source position: controls.pp line 1651

`public procedure TControl.AnchorToCompanion(`
`Side: TAnchorKind;`
`Space: TSpacingSize;`
`Sibling: TControl;`
`FreeCompositeSide: Boolean = True`
`);`

## Arguments

`Side` |  | The side to anchor to the sibling.
`Space` |  | The minimum space to Sibling.
`Sibling` |  | The sibling control to which we should anchor.

## Description

Table or tree style anchoring, into a neighbor cell of Sibling. Obtain the row height (or column width) from Sibling.